CRMchat APIBeta
Telegram APIPayments

payments.getSuggestedStarRefBots

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getSuggestedStarRefBots

Obtain a list of suggested mini apps with available affiliate programs order_by_revenue and order_by_date are mutually exclusive: if neither is set, results are sorted by profitability.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain a list of suggested mini apps with available affiliate programs order_by_revenue and order_by_date are mutually exclusive: if neither is set, results are sorted by profitability.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getSuggestedStarRefBots" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "offset": "string",      "limit": 0    }  }'
{  "result": {    "_": "payments.suggestedStarRefBots",    "count": 0,    "suggestedBots": [      {        "_": "starRefProgram",        "botId": 0,        "commissionPermille": 0,        "durationMonths": 0,        "endDate": 0,        "dailyRevenuePerUser": {          "_": "starsAmount",          "amount": "string",          "nanos": 0        }      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ],    "nextOffset": "string"  }}